import os
from pathlib import Path

from pydantic_settings import BaseSettings


class Settings(BaseSettings):
    # Application settings
    PROJECT_NAME: str = "Simple Todo App"
    API_V1_STR: str = "/api/v1"

    # Database settings
    DB_DIR: Path = Path("/app/storage/db")
    SQLALCHEMY_DATABASE_URL: str = f"sqlite:///{DB_DIR}/db.sqlite"

    class Config:
        env_file = ".env"
        case_sensitive = True


settings = Settings()

# Ensure DB directory exists
os.makedirs(settings.DB_DIR, exist_ok=True)
